From 5cfd74bf6b906fc1eba3c84491fb8685201259e8 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Sat, 28 Mar 2020 17:18:43 -0400
Subject: [PATCH 9/9] gnu: packages: linphone: Add bcmatroska2

* gnu/packages/linphone.scm (bcmatroska2): New variable.
---
 gnu/packages/linphone.scm | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/linphone.scm b/gnu/packages/linphone.scm
index 7c506fe219..9908490d28 100644
--- a/gnu/packages/linphone.scm
+++ b/gnu/packages/linphone.scm
@@ -165,3 +165,42 @@ defined by an ABNF grammar, such as the protocols standardized at IETF.")
  (description "Belcard is a C++ library to manipulate VCard standard format.")
  (home-page "https://gitlab.linphone.org/BC/public/belcard")
  (license license:gpl3+)))
+
+(define-public bcmatroska2
+ (package
+  (name "bcmatroska2")
+   (version "0.23")
+   (source
+    (origin
+     (method url-fetch)
+     (uri
+      (string-append "https://www.linphone.org/releases/sources/" name
+                     "/" name "-" version ".tar.gz"))
+     (sha256
+      (base32 "1a0vlk4fhh189pfzrwbc3xbc5vyx6cnxy642d1h40045jz9y4h15"))))
+ (build-system cmake-build-system)
+ (arguments
+  `(#:tests? #f ; No test target
+    #:configure-flags
+     (list
+      "-DENABLE_SHARED=YES"
+      "-DENABLE_STATIC=YES"
+      "-DENABLE_EBML_WRITING=ON"
+      "-DENABLE_EBML_UNICODE=ON"
+      "-DENABLE_DEBUGCHECKS=ON"
+      "-DENABLE_STDIO=ON"
+      "-DENABLE_FILEPOS_64=ON"
+      "-DENABLE_DEBUG_LEAKS=ON")))
+ (synopsis "Belledonne Communications Media Container")
+ (description "BcMatroska is a free and open standard multi-media
+container format.  It can hold an unlimited number of video, audio,
+picture, or subtitle tracks in one file. ")
+ (home-page "https://gitlab.linphone.org/BC/public/bcmatroska2")
+ (license
+  (list
+   ;; For Core C and LibEBML2
+   ;; https://www.matroska.org/node/47
+   license:bsd-4
+   ;; For LibMatroska2
+   ;; https://www.matroska.org/node/47
+   license:lgpl2.1+))))
-- 
2.26.0

